commit 5f2bb8fecae6c463c037ecb153623e4a4569778b
Author: Patric Plitzner <p.plitzner@bgbm.org>
Date:   Mon Mar 23 12:12:12 2015 +0000

     - removed unnecessary message logging

diff --git a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages.properties b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages.properties
index 571b000e2..acd510f07 100644
--- a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages.properties
@@ -3,7 +3,6 @@ SearchBar_1=Search
 SearchBar_2=Could not execute search
 SearchBar_3=Please type at least one character when using the "*" wildcard.
 SearchBar_4=Error opening search result.
-SearchBar_5=configuration menu clicked
 SearchBar_6=Taxa
 SearchBar_7=Synonyms
 SearchBar_8=Names (without taxa)
diff --git a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_de.properties
index 314ea1be7..288a452df 100644
--- a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_de.properties
@@ -3,7 +3,6 @@ SearchBar_1=Suche
 SearchBar_2=Suche konnte nicht ausgef\u00FChrt werden
 SearchBar_3=Bitte geben Sie mindestens ein Zeichen, wenn Sie die "*" Platzhalter benutzen wollen
 SearchBar_4=Fehler beim f\u00fcffnen des Suchergebnisses
-SearchBar_5=Konfigurationsmenü angeklickt
 SearchBar_6=Taxa
 SearchBar_7=Synonyme
 SearchBar_8=Namen (ohne Taxa)
diff --git a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_en.properties b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_en.properties
index 571b000e2..acd510f07 100644
--- a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_en.properties
+++ b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/messages_en.properties
@@ -3,7 +3,6 @@ SearchBar_1=Search
 SearchBar_2=Could not execute search
 SearchBar_3=Please type at least one character when using the "*" wildcard.
 SearchBar_4=Error opening search result.
-SearchBar_5=configuration menu clicked
 SearchBar_6=Taxa
 SearchBar_7=Synonyms
 SearchBar_8=Names (without taxa)
diff --git a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/Messages.java b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/Messages.java
index 5d3c21a31..23932674c 100644
--- a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/Messages.java
+++ b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/Messages.java
@@ -23,7 +23,6 @@ public class Messages extends NLS {
     public static String SearchBar_2;
     public static String SearchBar_3;
     public static String SearchBar_4;
-    public static String SearchBar_5;
     public static String SearchBar_6;
     public static String SearchBar_7;
     public static String SearchBar_8;
diff --git a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/SearchBar.java b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/SearchBar.java
index e27d247dd..bd04a0feb 100644
--- a/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/SearchBar.java
+++ b/eu.etaxonomy.taxeditor.navigation/src/main/java/eu/etaxonomy/taxeditor/navigation/search/SearchBar.java
@@ -1,9 +1,9 @@
 // $Id$
 /**
  * Copyright (C) 2007 EDIT
- * European Distributed Institute of Taxonomy 
+ * European Distributed Institute of Taxonomy
  * http://www.e-taxonomy.eu
- * 
+ *
  * The contents of this file are subject to the Mozilla Public License Version 1.1
  * See LICENSE.TXT at the top of this package for the full license terms.
  */
@@ -75,7 +75,7 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 	 * Handles focus changes for the search textfield.
 	 */
 	private void registerAtFocusService() {
-		IFocusService focusService = 
+		IFocusService focusService =
 			(IFocusService) PlatformUI.getWorkbench().getService(IFocusService.class);
 		if (focusService != null) {
 			focusService.addFocusTracker(text_search, "navigation.textControlId");
@@ -124,14 +124,16 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 	private void addTextListeners() {
 		text_search.addFocusListener(new FocusListener() {
 
-			public void focusGained(FocusEvent e) {
+			@Override
+            public void focusGained(FocusEvent e) {
 				text_search.setForeground(NavigationUtil.getColor(Resources.SEARCH_VIEW_FOCUS));
 				if (defaultText.equals(text_search.getText())) {
 					text_search.setText("");
 				}
 			}
 
-			public void focusLost(FocusEvent e) {
+			@Override
+            public void focusLost(FocusEvent e) {
 				if (text_search.getText() == "") {
 					text_search.setForeground(NavigationUtil.getColor(Resources.SEARCH_VIEW_FOREGROUND));
 					text_search.setText(defaultText);
@@ -176,35 +178,36 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 		if(searchString == null){
 			return;
 		}
-		
+
 		if("*".equals(searchString.trim())){
 			MessagingUtils.warningDialog(Messages.SearchBar_2, this, Messages.SearchBar_3);
 			return;
 		}
-		
-		
+
+
 		IFindTaxaAndNamesConfigurator configurator = configurationListener.getConfigurator();
 		configurator.setTitleSearchString(searchString);
 		openSearchResultsView(configurator);
-		
+
 	}
-	
+
 	private String getSearchString(){
 		String searchString = text_search.getText().trim();
-		if (searchString.equals(defaultText) || searchString.length() == 0)
-			return null;
+		if (searchString.equals(defaultText) || searchString.length() == 0) {
+            return null;
+        }
 		return searchString;
 	}
-	
+
 	/**
 	 * Opens a new instance of the search result view to display the result to the user.
-	 * 
+	 *
 	 * @param searchResult
 	 */
 	private void openSearchResultsView(IFindTaxaAndNamesConfigurator configurator) {
 		boolean openResultInSeparateWindows = PreferencesUtil.getPreferenceStore().getBoolean((IPreferenceKeys.SEARCH_OPEN_RESULTS_IN_SEPARATE_WINDOWS));
 		if(openResultInSeparateWindows){
-			//increment change secondary id so it is unique 
+			//increment change secondary id so it is unique
 			secondaryId += "1";
 		}
 
@@ -221,7 +224,7 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 
 	/**
 	 * Handles drop down menu selection. Available items are defined in the enumeration SearchOption.
-	 * 
+	 *
 	 * @author n.hoffmann
 	 * @created Feb 2, 2010
 	 * @version 1.0
@@ -258,7 +261,7 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 
 	/**
 	 * Handles search configuration selection.
-	 * 
+	 *
 	 * @author n.hoffmann
 	 * @created Feb 2, 2010
 	 * @version 1.0
@@ -266,17 +269,16 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 	class ConfigurationSelectionListener extends SelectionAdapter {
 
 		private IFindTaxaAndNamesConfigurator configurator = PreferencesUtil.getSearchConfigurator();
-		
+
 		/*
 		 * (non-Javadoc)
-		 * 
+		 *
 		 * @see
 		 * org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse
 		 * .swt.events.SelectionEvent)
 		 */
 		@Override
 		public void widgetSelected(SelectionEvent e) {
-			MessagingUtils.info(Messages.SearchBar_5);
 			SearchOption option = (SearchOption) e.widget.getData();
 
 			switch (option){
@@ -291,9 +293,9 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 				break;
 			case COMMON_NAME:
 				configurator.setDoTaxaByCommonNames(getConfigurator().isDoTaxaByCommonNames() ? false : true);
-				break;				
+				break;
 			}
-			
+
 			saveConfigurator();
 		}
 
@@ -309,15 +311,15 @@ public class SearchBar extends WorkbenchWindowControlContribution{
 
 	/**
 	 * Available search options.
-	 * 
+	 *
 	 * @author n.hoffmann
 	 * @created Feb 2, 2010
 	 * @version 1.0
 	 */
 	enum SearchOption {
-		TAXON(Messages.SearchBar_6), 
-		SYNONYM(Messages.SearchBar_7), 
-		NAME(Messages.SearchBar_8), 
+		TAXON(Messages.SearchBar_6),
+		SYNONYM(Messages.SearchBar_7),
+		NAME(Messages.SearchBar_8),
 		COMMON_NAME(Messages.SearchBar_9);
 
 		private final String label;