commit 4e4e473cb980cc6e7c6862c7525fc0cdfc2136bc
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Thu Mar 23 17:52:21 2017 +0100

    ref #6539 remove Bundle-RequiredExecutionEnvironment

diff --git a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
index 41083e5a4..9082988c8 100644
--- a/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.application/META-INF/MANIFEST.MF
@@ -8,7 +8,6 @@ Bundle-Vendor: EDIT
 Bundle-Localization: OSGI-INF/l10n/plugin
 Export-Package: eu.etaxonomy.taxeditor
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: eu.etaxonomy.cdm.database,
  org.apache.log4j,
  org.eclipse.equinox.app,
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
index 23e313721..0e9aa0905 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.bulkeditor/META-INF/MANIFEST.MF
@@ -19,7 +19,6 @@ Require-Bundle: org.eclipse.ui,
  org.eclipse.core.expressions,
  eu.etaxonomy.taxeditor.store,
  eu.etaxonomy.taxeditor.cdmlib
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: eu.etaxonomy.taxeditor.editor,
  org.eclipse.core.runtime,
diff --git a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
index d09e9df7a..013737db7 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.cdmlib/META-INF/MANIFEST.MF
@@ -510,7 +510,6 @@ Export-Package: com.google.api,
    org.springframework.ui,
    javax.servlet.http"
 Bundle-Vendor: EDIT
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.eclipse.osgi,
  org.eclipse.equinox.common,
  org.apache.commons.httpclient;bundle-version="3.1.0",
diff --git a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
index 577a82f05..1231dbfc4 100644
--- a/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.editor/META-INF/MANIFEST.MF
@@ -29,7 +29,6 @@ Require-Bundle: org.eclipse.ui,
  org.eclipse.zest.layouts,
  eu.etaxonomy.taxeditor.cdmlib,
  org.eclipse.ui.ide
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Import-Package: org.eclipse.core.databinding.beans,
  org.eclipse.core.databinding.observable.list,
diff --git a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
index a156ce60b..9652a208f 100644
--- a/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.help/META-INF/MANIFEST.MF
@@ -9,5 +9,4 @@ Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.help.ui,
  org.eclipse.help.webapp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
diff --git a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
index dc2f9162a..791522b68 100644
--- a/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular.lib/META-INF/MANIFEST.MF
@@ -239,4 +239,3 @@ Export-Package: info.bioinfweb.commons,
 Bundle-ActivationPolicy: lazy
 Import-Package: javax.swing
 Require-Bundle: org.eclipse.swt
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
index 8ec58c19c..8f2e92b51 100644
--- a/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.molecular/META-INF/MANIFEST.MF
@@ -17,7 +17,6 @@ Require-Bundle: org.eclipse.ui,
  org.eclipse.core.databinding;bundle-version="1.4.0",
  org.eclipse.jface.databinding;bundle-version="1.5.0",
  org.eclipse.core.databinding.property;bundle-version="1.4.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: EDIT
 Export-Package: eu.etaxonomy.taxeditor.molecular,
diff --git a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
index 168a86746..1bcaab1a4 100644
--- a/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.navigation/META-INF/MANIFEST.MF
@@ -27,4 +27,3 @@ Import-Package: org.eclipse.core.resources,
  org.eclipse.ui.forms.widgets,
  org.osgi.framework
 Bundle-Activator: eu.etaxonomy.taxeditor.navigation.internal.TaxeditorNavigationPlugin
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
index 351006cdc..0514faf7c 100644
--- a/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF
@@ -15,4 +15,3 @@ Import-Package: org.apache.log4j,
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: EDIT
 Bundle-Activator: eu.etaxonomy.taxeditor.printpublisher.internal.PrintpublisherPlugin
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
diff --git a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
index a64aca87b..b39c91e10 100644
--- a/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.store/META-INF/MANIFEST.MF
@@ -94,5 +94,4 @@ Import-Package: eu.etaxonomy.taxeditor.webapp,
  org.osgi.framework,
  org.osgi.service.prefs;version="1.1.1"
 Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: OSGI-INF/l10n/bundle
diff --git a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
index fb17e2776..656aa1a8d 100644
--- a/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.test/META-INF/MANIFEST.MF
@@ -5,7 +5,6 @@ Bundle-SymbolicName: eu.etaxonomy.taxeditor.test;singleton:=true
 Bundle-Version: 4.7.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: EDIT
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.ui.ide,
diff --git a/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF b/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
index 153d8a6d3..2ae13d730 100644
--- a/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
+++ b/eu.etaxonomy.taxeditor.webapp/META-INF/MANIFEST.MF
@@ -4,7 +4,6 @@ Bundle-Name: Webapp
 Bundle-SymbolicName: eu.etaxonomy.taxeditor.webapp;singleton:=true
 Bundle-Version: 4.7.0.qualifier
 Require-Bundle: org.eclipse.core.runtime
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-ActivationPolicy: lazy
 Export-Package: eu.etaxonomy.taxeditor.webapp
 Bundle-ClassPath: .,