commit 538c276e534994f378a3e38a5605bb3595f8723d
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Tue Oct 21 22:19:36 2014 +0000

    merge app-import 3.4 branch into trunk

diff --git a/XperCdmIntegration/pom.xml b/XperCdmIntegration/pom.xml
index f6e05baa..dbd4ae8a 100644
--- a/XperCdmIntegration/pom.xml
+++ b/XperCdmIntegration/pom.xml
@@ -7,7 +7,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>3.2.4-SNAPSHOT</version>
+    <version>3.4.0-SNAPSHOT</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
   
diff --git a/app-import/pom.xml b/app-import/pom.xml
index 93e0ddce..f1bb6e50 100644
--- a/app-import/pom.xml
+++ b/app-import/pom.xml
@@ -8,7 +8,7 @@
   
   <groupId>eu.etaxonomy.cdm</groupId>
   <artifactId>imports</artifactId>
-  <version>3.3.8-SNAPSHOT</version>
+  <version>3.4.0-SNAPSHOT</version>
   
   <name>App Import</name>
   <description>A collection of diverse imports to the EDIT CDM Platform</description>
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
index f1e1fe32..522125d2 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/proibiosphere/SynthesysCacheActivator.java
@@ -80,7 +80,7 @@ public class SynthesysCacheActivator {
             p.setFirstname("Quentin");
             p.setLastname("Groom");
             p.addEmailAddress("qgroom@bsbi.co.uk");
-            reference.setAuthorTeam(p);
+            reference.setAuthorship(p);
             reference.setOrganization("Botanical Society of the British Isles");
 
             specimenImportConfigurator.setSourceReference(reference);
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
index 6e4de03c..5844acc6 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/util/TestDatabase.java
@@ -89,7 +89,7 @@ public class TestDatabase {
 		DataSet dataSet = buildDataSet();
 		
 		appCtr.getTermService().save(dataSet.getTerms());
-		appCtr.getTaxonService().save(dataSet.getTaxonBases());
+		appCtr.getTaxonService().save((List)dataSet.getTaxonBases());
 
 		appCtr.commitTransaction(txStatus);
 		appCtr.close();
@@ -230,12 +230,12 @@ public class TestDatabase {
 		
         // references
 		sec = ReferenceFactory.newBook();
-		sec.setAuthorTeam(linne);
+		sec.setAuthorship(linne);
 		sec.setTitleCache("Plant Specification & Taxonomy", true);
 		references.add(sec);
 		
 		citRef = ReferenceFactory.newDatabase();
-		citRef.setAuthorTeam(linne);
+		citRef.setAuthorship(linne);
 		citRef.setTitleCache("BioCASE", true);
 		references.add(citRef);
 
@@ -340,7 +340,7 @@ public class TestDatabase {
 //		dataSet.setAgentData(agentData); //TODO
 		dataSet.setReferences(references);
 		dataSet.setTaxonomicNames(taxonomicNames);
-		dataSet.setTaxonBases(taxonBases);
+		dataSet.setTaxonBases((List)taxonBases);
 		
 		
 		return dataSet;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseImport.java
index bc18eeb6..6857e8c5 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/app/wp6/palmae/UseImport.java
@@ -180,7 +180,7 @@ public class UseImport {
 				Reference citation = ReferenceFactory.newGeneric();
 				Team authorTeam = Team.NewInstance();
 				authorTeam.setTitleCache(lstUpdate.get(3));
-				citation.setAuthorTeam(authorTeam);
+				citation.setAuthorship(authorTeam);
 				citation.setTitle(lstUpdate.get(4));
 				
 				//citation.
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelReferenceImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelReferenceImport.java
index a5c8cc07..fec32ad1 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelReferenceImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelReferenceImport.java
@@ -522,8 +522,8 @@ public class BerlinModelReferenceImport extends BerlinModelImportBase {
 		}
 
 		//author
-		TeamOrPersonBase<?> author = getAuthorTeam(refAuthorString , nomAuthor);
-		ref.setAuthorTeam(author);
+		TeamOrPersonBase<?> author = getAuthorship(refAuthorString , nomAuthor);
+		ref.setAuthorship(author);
 		
 		//save
 		if (! refToSave.containsKey(refId)){
@@ -843,7 +843,7 @@ public class BerlinModelReferenceImport extends BerlinModelImportBase {
 	}
 
 	
-	private static TeamOrPersonBase<?> getAuthorTeam(String authorString, TeamOrPersonBase<?> nomAuthor){
+	private static TeamOrPersonBase<?> getAuthorship(String authorString, TeamOrPersonBase<?> nomAuthor){
 		TeamOrPersonBase<?> result;
 		if (nomAuthor != null){
 			result = nomAuthor;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
index 97a72504..a2d73406 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/BerlinModelTaxonImport.java
@@ -241,8 +241,7 @@ public class BerlinModelTaxonImport  extends BerlinModelImportBase {
 						}
 						
 						if ( ! misapplied){
-//							logger.error("Publish Flag for synonyms not yet handled correctly");
-//							taxonBase.setPublish(publishFlag);
+							taxonBase.setPublish(publishFlag);
 							if(taxonBase.isInstanceOf(Taxon.class) ){
 								CdmBase.deproxy(taxonBase, Taxon.class).setPublish(publishFlag);
 							}
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/validation/BerlinModelAuthorTeamImportValidator.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/validation/BerlinModelAuthorTeamImportValidator.java
index 30aea6ff..6ab9c0a4 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/validation/BerlinModelAuthorTeamImportValidator.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/in/validation/BerlinModelAuthorTeamImportValidator.java
@@ -26,7 +26,7 @@ public class BerlinModelAuthorTeamImportValidator implements IOValidator<BerlinM
 	@Override
 	public boolean validate(BerlinModelImportState state) {
 		boolean result = true;
-		System.out.println("Checking for authorteams not yet implemented");
+		System.out.println("Checking for authors not yet implemented");
 		//result &= checkArticlesWithoutJournal(bmiConfig);
 		//result &= checkPartOfJournal(bmiConfig);
 		
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/out/BerlinModelReferenceExport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/out/BerlinModelReferenceExport.java
index 85f0efd5..4fab6080 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/out/BerlinModelReferenceExport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/berlinModel/out/BerlinModelReferenceExport.java
@@ -83,7 +83,7 @@ public class BerlinModelReferenceExport extends BerlinModelExportBase<Reference>
 		mapping.addMapper(MethodMapper.NewInstance("NomRefCache", this));
 		mapping.addMapper(DbBooleanMapper.NewFalseInstance("isProtectedTitleCache","PreliminaryFlag"));
 
-		mapping.addMapper(DbObjectMapper.NewInstance("authorTeam", "NomAuthorTeamFk"));
+		mapping.addMapper(DbObjectMapper.NewInstance("authorship", "NomAuthorTeamFk"));
 		mapping.addMapper(MethodMapper.NewInstance("RefAuthorString", this));
 		
 		mapping.addMapper(DbStringMapper.NewInstance("title", "Title"));
@@ -288,7 +288,7 @@ public class BerlinModelReferenceExport extends BerlinModelExportBase<Reference>
 		if (ref == null){
 			return null;
 		}else{
-			return (ref.getAuthorTeam() == null)? null: ref.getAuthorTeam().getTitleCache();
+			return (ref.getAuthorship() == null)? null: ref.getAuthorship().getTitleCache();
 		}
 	}
 
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/caryo/CaryoTaxonImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/caryo/CaryoTaxonImport.java
index d384d66a..68154d44 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/caryo/CaryoTaxonImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/caryo/CaryoTaxonImport.java
@@ -339,7 +339,7 @@ public class CaryoTaxonImport  extends DbImportBase<CaryoImportState, CaryoImpor
 				IBookSection section = ReferenceFactory.newBookSection();
 				section.setInBook(book);
 				TeamOrPersonBase<?> inAuthor = getInAuthor(inAutorStr);
-				book.setAuthorTeam(inAuthor);
+				book.setAuthorship(inAuthor);
 				result = section;
 			}else{
 				result = book;
@@ -349,7 +349,7 @@ public class CaryoTaxonImport  extends DbImportBase<CaryoImportState, CaryoImpor
 			result = null;
 		}
 		if (result != null){
-			result.setAuthorTeam(author);
+			result.setAuthorship(author);
 			makeDate(state, rs, result, id);
 		}
 		return result;
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisCommonNameImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisCommonNameImport.java
index 4255d9dd..2b81f94b 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisCommonNameImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisCommonNameImport.java
@@ -208,7 +208,7 @@ public class GlobisCommonNameImport  extends GlobisImportBase<Taxon> {
 					author = makeSingleAuthor(authors);
 				}
 				
-				result.setAuthorTeam(author);
+				result.setAuthorship(author);
 				refMap.put(refId,result);
 				rs.close();
 			} catch (SQLException e) {
diff --git a/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisReferenceImport.java b/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisReferenceImport.java
index fe094be9..165c0eb0 100644
--- a/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisReferenceImport.java
+++ b/app-import/src/main/java/eu/etaxonomy/cdm/io/globis/GlobisReferenceImport.java
@@ -169,7 +169,7 @@ public class GlobisReferenceImport  extends GlobisImportBase<Reference> implemen
 			
 			//refAuthor
 			TeamOrPersonBase<?> author = makeAuthor(refAuthor, state);
-			ref.setAuthorTeam(author);
+			ref.setAuthorship(author);
 			
 			//inRef
 			if (isNotBlank(refJournal)){
diff --git a/cdm-eflora/pom.xml b/cdm-eflora/pom.xml
index 3cfa9e22..3bb7ae63 100644
--- a/cdm-eflora/pom.xml
+++ b/cdm-eflora/pom.xml
@@ -9,7 +9,7 @@
   
   <groupId>eu.etaxonomy.cdm</groupId>
   <artifactId>cdm-eflora</artifactId>
-  <version>3.3.8-SNAPSHOT</version>
+  <version>3.4.0-SNAPSHOT</version>
   
   <name>CDM e-Flora</name>
   <description>The e-Flora package for e-FLora imports to the EDIT CDM Platform</description>
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraTaxonImport.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraTaxonImport.java
index 496c3297..5c30f33b 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraTaxonImport.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/EfloraTaxonImport.java
@@ -1370,7 +1370,7 @@ public class EfloraTaxonImport  extends EfloraImportBase implements ICdmIO<Eflor
 		if (team == null){
 			team = lastTeam;
 		}
-		ref.setAuthorTeam(team);
+		ref.setAuthorship(team);
 		
 		TaxonDescription description = getDescription(taxon);
 		TextData textData = TextData.NewInstance(Feature.CITATION());
@@ -1431,7 +1431,7 @@ public class EfloraTaxonImport  extends EfloraImportBase implements ICdmIO<Eflor
 				logger.error("ERROR occurred when trying to split title: " +  title + "; split[0]: + " + split[0]);
 			}
 			book.setTitle(title);
-			book.setAuthorTeam(bookTeam);
+			book.setAuthorship(bookTeam);
 			book.setDatePublished(ref.getDatePublished());
 			ref.setTitle(null);
 			ref.setInBook(book);
@@ -1526,7 +1526,7 @@ public class EfloraTaxonImport  extends EfloraImportBase implements ICdmIO<Eflor
 			homonymName.setNomenclaturalMicroReference(homonymNomRefDetail);
 			String authorTitle = homonymNomRef.getTitleCache();
 			Team team = Team.NewTitledInstance(authorTitle, authorTitle);
-			homonymNomRef.setAuthorTeam(team);
+			homonymNomRef.setAuthorship(team);
 			homonymNomRef.setTitle("");
 			homonymNomRef.setProtectedTitleCache(false);
 			
@@ -1570,7 +1570,7 @@ public class EfloraTaxonImport  extends EfloraImportBase implements ICdmIO<Eflor
 		if (team == null){
 			logger.warn("Name has nom. ref. but no author team. Name: " + name.getTitleCache() + ", Nom.Ref.: " + value);
 		}else{
-			nomRef.setAuthorTeam(team);
+			nomRef.setAuthorship(team);
 		}
 		return team;
 	}
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeTaxonImport.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeTaxonImport.java
index bdf14d04..e1fb93cf 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeTaxonImport.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ericaceae/CentralAfricaEricaceaeTaxonImport.java
@@ -69,7 +69,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 		name.setNomenclaturalMicroReference(microReference);
 		
 		TeamOrPersonBase  nameTeam = CdmBase.deproxy(name.getCombinationAuthorTeam(), TeamOrPersonBase.class);
-		TeamOrPersonBase  refTeam = nomRef.getAuthorTeam();
+		TeamOrPersonBase  refTeam = nomRef.getAuthorship();
 		if (nameTeam == null ){
 			logger.warn("Name has nom. ref. but no author team. Name: " + name.getTitleCache() + ", Nom.Ref.: " + value);
 		}else if (refTeam == null ){
@@ -77,7 +77,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 		}else if (! authorTeamsMatch(refTeam, nameTeam)){
 			logger.warn("Nom.Ref. author and comb. author do not match: " + nomRef.getTitleCache() + " <-> " + nameTeam.getNomenclaturalTitle());
 		}else {
-			nomRef.setAuthorTeam(nameTeam);
+			nomRef.setAuthorship(nameTeam);
 			nomRef.setTitle(CdmUtils.Nz(nomRef.getTitle()) + " - no title given yet -");
 			nameTeam.setTitleCache(refTeam.getTitleCache(), true);
 		}
@@ -117,7 +117,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 			String author = titleToParse.substring(0, start).trim();
 			author = parseInRefrence(ref, author);
 			TeamOrPersonBase team = parseSingleTeam(author);
-			ref.setAuthorTeam(team);
+			ref.setAuthorship(team);
 			ref.setProtectedTitleCache(false);
 		}else{
 			logger.warn("Could not parse reference: " +  titleToParse);
@@ -133,7 +133,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 			String myAuthorString = author.substring(0, pos);
 			Reference inReference = ReferenceFactory.newGeneric();
 			TeamOrPersonBase inAuthor = parseSingleTeam(inAuthorString);
-			inReference.setAuthorTeam(inAuthor);
+			inReference.setAuthorship(inAuthor);
 			ref.setInReference(inReference);
 			return myAuthorString;
 		}else{
@@ -173,7 +173,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 		ref.setTitleCache(referenceTitle, true);
 		
 		TeamOrPersonBase<?> team = getReferenceAuthor(ref, name);
-		ref.setAuthorTeam(team);
+		ref.setAuthorship(team);
 	
 		String[] multipleReferences = ref.getTitleCache().split("&");
 		
@@ -181,7 +181,7 @@ public class CentralAfricaEricaceaeTaxonImport  extends EfloraTaxonImport  {
 		for (String singleReferenceString : multipleReferences){
 			Reference<?> singleRef = ReferenceFactory.newGeneric();
 			singleRef.setTitleCache(singleReferenceString.trim(), true);
-			singleRef.setAuthorTeam(team);
+			singleRef.setAuthorship(team);
 			
 			String microReference = parseReferenceYearAndDetailForUsage(singleRef);
 			
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ferns/CentralAfricaFernsTaxonImport.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ferns/CentralAfricaFernsTaxonImport.java
index f520d69b..92e98071 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ferns/CentralAfricaFernsTaxonImport.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/io/eflora/centralAfrica/ferns/CentralAfricaFernsTaxonImport.java
@@ -576,7 +576,7 @@ public class CentralAfricaFernsTaxonImport  extends CentralAfricaFernsImportBase
 			bracket = bracket.substring(0, bracket.length()-1);
 		}
 		Team team = Team.NewTitledInstance(authorPart, authorPart);
-		result.setAuthorTeam(team);
+		result.setAuthorship(team);
 		String[] bracketSplit = bracket.split(":");
 		TimePeriod datePublished = TimePeriodParser.parseString(bracketSplit[0].trim());
 		result.setDatePublished(datePublished);
@@ -648,7 +648,7 @@ public class CentralAfricaFernsTaxonImport  extends CentralAfricaFernsImportBase
 					StringUtils.isNotBlank(datePublishedString) || StringUtils.isNotBlank(paperTitle)){
 			NonViralName<?> name = CdmBase.deproxy(taxonBase.getName(), NonViralName.class);
 			Reference<?> reference = ReferenceFactory.newGeneric();
-			reference.setAuthorTeam((TeamOrPersonBase<?>)name.getCombinationAuthorTeam());
+			reference.setAuthorship((TeamOrPersonBase<?>)name.getCombinationAuthorTeam());
 			reference.setTitle(referenceString);
 			reference.setVolume(volume);
 			reference.setEdition(part);
diff --git a/cdm-pesi/pom.xml b/cdm-pesi/pom.xml
index 61245438..161dc864 100644
--- a/cdm-pesi/pom.xml
+++ b/cdm-pesi/pom.xml
@@ -13,7 +13,7 @@
   
   <groupId>eu.etaxonomy.cdm</groupId>
   <artifactId>cdm-pesi</artifactId>
-  <version>3.3.8-SNAPSHOT</version>
+  <version>3.4.0-SNAPSHOT</version>
   
   <name>CDM PESI</name>
   <description>The PESI package for EDIT's CdmLibrary</description>
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/TestDatabase.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/TestDatabase.java
index 94c39d3c..066da9d0 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/TestDatabase.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/common/TestDatabase.java
@@ -90,7 +90,7 @@ public class TestDatabase {
 		DataSet dataSet = buildDataSet();
 		
 		appCtr.getTermService().save(dataSet.getTerms());
-		appCtr.getTaxonService().save(dataSet.getTaxonBases());
+		appCtr.getTaxonService().save((List)dataSet.getTaxonBases());
 
 		appCtr.commitTransaction(txStatus);
 		appCtr.close();
@@ -231,12 +231,12 @@ public class TestDatabase {
 		
         // references
 		sec = ReferenceFactory.newBook();
-		sec.setAuthorTeam(linne);
+		sec.setAuthorship(linne);
 		sec.setTitleCache("Plant Specification & Taxonomy", true);
 		references.add(sec);
 		
 		citRef = ReferenceFactory.newDatabase();
-		citRef.setAuthorTeam(linne);
+		citRef.setAuthorship(linne);
 		citRef.setTitleCache("BioCASE", true);
 		references.add(citRef);
 
@@ -341,7 +341,7 @@ public class TestDatabase {
 //		dataSet.setAgentData(agentData); //TODO
 		dataSet.setReferences(references);
 		dataSet.setTaxonomicNames(taxonomicNames);
-		dataSet.setTaxonBases(taxonBases);
+		dataSet.setTaxonBases((List)taxonBases);
 		
 		
 		return dataSet;
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaRefImport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaRefImport.java
index 0fdffd30..997854a9 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaRefImport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaRefImport.java
@@ -240,7 +240,7 @@ public class FaunaEuropaeaRefImport extends FaunaEuropaeaImportBase {
 					}
 				}
 				
-				reference.setAuthorTeam(author);
+				reference.setAuthorship(author);
 				
 				ImportHelper.setOriginalSource(reference, fauEuConfig.getSourceReference(), refId, namespace);
 				ImportHelper.setOriginalSource(author, fauEuConfig.getSourceReference(), refId, namespace);
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaUsersImport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaUsersImport.java
index 3525fcfb..f55b6267 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaUsersImport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/faunaEuropaea/FaunaEuropaeaUsersImport.java
@@ -199,7 +199,7 @@ public class FaunaEuropaeaUsersImport extends FaunaEuropaeaImportBase {
 				}
 				reference.setTitleCache(referenceTitleCache.toString(), true);
 				
-				reference.setAuthorTeam((TeamOrPersonBase)person);
+				reference.setAuthorship((TeamOrPersonBase)person);
 				
 				//ImportHelper.setOriginalSource(user, fauEuConfig.getSourceReference(), userId, namespace);
 				ImportHelper.setOriginalSource(person, fauEuConfig.getSourceReference(), refId, namespace);
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportBase.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportBase.java
index 506a017b..c4dd8e34 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportBase.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/indexFungorum/IndexFungorumImportBase.java
@@ -304,7 +304,7 @@ public abstract class IndexFungorumImportBase extends CdmImportBase<IndexFungoru
 		//inRef + inRefAuthor
 		if (pubAuthor != null){
 			Reference<?> inRef = ReferenceFactory.newGeneric();
-			inRef.setAuthorTeam(pubAuthor);
+			inRef.setAuthorship(pubAuthor);
 			ref.setInReference(inRef);
 			hasInReference = true;
 		}
@@ -314,7 +314,7 @@ public abstract class IndexFungorumImportBase extends CdmImportBase<IndexFungoru
 		if (refAuthor == null){
 			refAuthor = Team.NewTitledInstance(authorStr, authorStr);
 		}
-		ref.setAuthorTeam(refAuthor);
+		ref.setAuthorship(refAuthor);
 		//location
 		String location = rs.getString("pubIMIAbbrLoc");
 		if (StringUtils.isNotBlank(location)){
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
index b9496b84..c97b1a08 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
@@ -265,7 +265,7 @@ public class PesiSourceExport extends PesiExportBase {
 
 		try {
 		if (reference != null) {
-			TeamOrPersonBase team = reference.getAuthorTeam();
+			TeamOrPersonBase team = reference.getAuthorship();
 			if (team != null) {
 				result = team.getTitleCache();
 //				result = team.getNomenclaturalTitle();
diff --git a/cdmapps-parent/pom.xml b/cdmapps-parent/pom.xml
index a60df0b0..2ec2e824 100644
--- a/cdmapps-parent/pom.xml
+++ b/cdmapps-parent/pom.xml
@@ -3,7 +3,7 @@
     <modelVersion>4.0.0</modelVersion>
     <groupId>eu.etaxonomy.cdm</groupId>
     <artifactId>app-parent</artifactId>
-	<version>3.2.0-SNAPSHOT</version>
+	<version>3.4.0-SNAPSHOT</version>
     <name>CDM Applications Parent</name>
     <description>The Java implementation of the Common Data Model (CDM), the data model for EDIT's internet platform for cybertaxonomy.</description>
     <url>http://wp5.e-taxonomy.eu/cdmlib/</url>
diff --git a/pom.xml b/pom.xml
index 4f1741c0..fa41a496 100644
--- a/pom.xml
+++ b/pom.xml
@@ -4,14 +4,14 @@
 	<parent>
 		<groupId>eu.etaxonomy</groupId>
 		<artifactId>cdmlib-parent</artifactId>
-		<version>3.3.8-SNAPSHOT</version>
+		<version>3.4.0-SNAPSHOT</version>
 		<relativePath>../pom.xml</relativePath>
 	</parent>
 
 	<modelVersion>4.0.0</modelVersion>
-	<artifactId>cdmlib-io</artifactId>
-	<name>CDM Import/Export</name>
-	<description>The import-export package for EDIT's cdmLibrary</description>
+	<artifactId>cdmlib-app</artifactId>
+	<name>CDM Parent</name>
+	<description>The parent package for EDIT's cdmLibrary</description>
 	<scm>
 		<connection>scm:svn:http://dev.e-taxonomy.eu/svn/trunk/cdmlib/cdmlib-io/</connection>
 		<developerConnection>scm:svn:http://dev.e-taxonomy.eu/svn/trunk/cdmlib/cdmlib-io/</developerConnection>